| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Functions
video1394Private.h File Reference
`#include "video1394.h"`
`#include <dc1394/camera.h>`
`#include <pthread.h>`
Include dependency graph for video1394Private.h:

Go to the source code of this file.

## Classes
struct | AR2VideoBuffer1394T
struct | _AR2VideoParam1394T

## Functions
void | ar2Video1394FormatConversion (ARUint8 *src, ARUint8 *dst, int mode, int width, int height)
int | ar2VideoGetValue1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoSetValue1394 (AR2VideoParam1394T *vid, int paramName, int value)
int | ar2VideoGetAutoOn1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoSetAutoOn1394 (AR2VideoParam1394T *vid, int paramName, int value)
int | ar2VideoGetFeatureOn1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoSetFeatureOn1394 (AR2VideoParam1394T *vid, int paramName, int value)
int | ar2VideoGetMaxValue1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoGetMinValue1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoGetAbsValue1394 (AR2VideoParam1394T *vid, int paramName, ARdouble *value)
int | ar2VideoSetAbsValue1394 (AR2VideoParam1394T *vid, int paramName, ARdouble value)
int | ar2VideoGetAbsMaxValue1394 (AR2VideoParam1394T *vid, int paramName, ARdouble *value)
int | ar2VideoGetAbsMinValue1394 (AR2VideoParam1394T *vid, int paramName, ARdouble *value)

## Function Documentation

## ◆ ar2Video1394FormatConversion()

void ar2Video1394FormatConversion | ( | ARUint8 * | src,
|  | ARUint8 * | dst,
|  | int | mode,
|  | int | width,
|  | int | height
| ) |  |

## ◆ ar2VideoGetAbsMaxValue1394()

int ar2VideoGetAbsMaxValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | ARdouble * | value
| ) |  |

## ◆ ar2VideoGetAbsMinValue1394()

int ar2VideoGetAbsMinValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | ARdouble * | value
| ) |  |

## ◆ ar2VideoGetAbsValue1394()

int ar2VideoGetAbsValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | ARdouble * | value
| ) |  |

## ◆ ar2VideoGetAutoOn1394()

int ar2VideoGetAutoOn1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetFeatureOn1394()

int ar2VideoGetFeatureOn1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetMaxValue1394()

int ar2VideoGetMaxValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetMinValue1394()

int ar2VideoGetMinValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetValue1394()

int ar2VideoGetValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoSetAbsValue1394()

int ar2VideoSetAbsValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | ARdouble | value
| ) |  |

## ◆ ar2VideoSetAutoOn1394()

int ar2VideoSetAutoOn1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetFeatureOn1394()

int ar2VideoSetFeatureOn1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetValue1394()

int ar2VideoSetValue1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int | value
| ) |  |